io.vertx.config.vault.client

## Class Lookup

- java.lang.Object
- - io.vertx.config.vault.client.Lookup

-     public class Lookup
      extends Object

  Represents Lookup result
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lookup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessor()`
    `long` | `getCreationTime()`
    `long` | `getCreationTTL()`
    `String` | `getDisplayName()`
    `long` | `getExplicitMaxTTL()`
    `String` | `getId()`
    `long` | `getLastRenewalTime()`
    `JsonObject` | `getMetadata()`
    `long` | `getNumUses()`
    `String` | `getPath()`
    `List<String>` | `getPolicies()`
    `long` | `getTTL()`
    `String` | `getUsername()`
    `boolean` | `isOrphan()`
    `boolean` | `isRenewable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lookup

          public Lookup()

  - ### Method Detail

    - #### getAccessor

          public String getAccessor()

    - #### getCreationTime

          public long getCreationTime()

    - #### getCreationTTL

          public long getCreationTTL()

    - #### getDisplayName

          public String getDisplayName()

    - #### getExplicitMaxTTL

          public long getExplicitMaxTTL()

    - #### getId

          public String getId()

    - #### getLastRenewalTime

          public long getLastRenewalTime()

    - #### getNumUses

          public long getNumUses()

    - #### isOrphan

          public boolean isOrphan()

    - #### getPath

          public String getPath()

    - #### getPolicies

          public List<String> getPolicies()

    - #### getTTL

          public long getTTL()

    - #### isRenewable

          public boolean isRenewable()

    - #### getMetadata

          public JsonObject getMetadata()

    - #### getUsername

          public String getUsername()

Copyright © 2019 Eclipse. All rights reserved.